Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Subscription_Change_Worker Class Reference

`#include <Subscription_Change_Worker.h>`

Inheritance diagram for TAO_Notify_Subscription_Change_Worker:

[legend]
Collaboration diagram for TAO_Notify_Subscription_Change_Worker:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Subscription_Change_Worker (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed)
| Constuctor.
| ~TAO_Notify_Subscription_Change_Worker ()
| Destructor.
void | work (TAO_Notify_Proxy *proxy ACE_ENV_ARG_DECL)
| = TAO_ESF_Worker method
## Protected Attributes
const CosNotification::EventTypeSeq & | added_
const CosNotification::EventTypeSeq & | removed_

## Constructor & Destructor Documentation

TAO_Notify_Subscription_Change_Worker::TAO_Notify_Subscription_Change_Worker | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq & | removed
| ) |

| Constuctor.

TAO_Notify_Subscription_Change_Worker::~TAO_Notify_Subscription_Change_Worker | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO_Notify_Subscription_Change_Worker::work | ( | TAO_Notify_Proxy *proxy | ACE_ENV_ARG_DECL | ) |

| = TAO_ESF_Worker method

## Member Data Documentation

const CosNotification::EventTypeSeq& TAO_Notify_Subscription_Change_Worker::added_`[protected]`

const CosNotification::EventTypeSeq& TAO_Notify_Subscription_Change_Worker::removed_`[protected]`

The documentation for this class was generated from the following files:

- Subscription_Change_Worker.h
- Subscription_Change_Worker.cpp